<!DOCTYPE html>

<html lang="en" data-content_root="../">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="viewport" content="width=device-width, initial-scale=1" />

    <title>helper_functions &#8212; NLP004  documentation</title>
    <link rel="stylesheet" type="text/css" href="../_static/pygments.css?v=4f649999" />
    <link rel="stylesheet" type="text/css" href="../_static/alabaster.css?v=039e1c02" />
    <script src="../_static/documentation_options.js?v=5929fcd5"></script>
    <script src="../_static/doctools.js?v=888ff710"></script>
    <script src="../_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="preprocessing" href="preprocessing.html" />
    <link rel="prev" title="helpers" href="../helpers.html" />
   
  <link rel="stylesheet" href="../_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="module-helpers.helper_functions">
<span id="helper-functions"></span><h1>helper_functions<a class="headerlink" href="#module-helpers.helper_functions" title="Link to this heading">¶</a></h1>
<dl class="py function">
<dt class="sig sig-object py" id="helpers.helper_functions.connect_to_db">
<span class="sig-prename descclassname"><span class="pre">helpers.helper_functions.</span></span><span class="sig-name descname"><span class="pre">connect_to_db</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/helpers/helper_functions.html#connect_to_db"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#helpers.helper_functions.connect_to_db" title="Link to this definition">¶</a></dt>
<dd><p>Connects to the MySQL/MariaDB database. Uses pymysql.</p>
<p>Arguments:</p>
<blockquote>
<div><p>none</p>
</div></blockquote>
<p>Returns:</p>
<blockquote>
<div><p>pymysql.cursors.Cursor: Cursor to the database connection</p>
</div></blockquote>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="helpers.helper_functions.crossref_metada_api_call">
<span class="sig-prename descclassname"><span class="pre">helpers.helper_functions.</span></span><span class="sig-name descname"><span class="pre">crossref_metada_api_call</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">doi</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/helpers/helper_functions.html#crossref_metada_api_call"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#helpers.helper_functions.crossref_metada_api_call" title="Link to this definition">¶</a></dt>
<dd><p>Gets metadata for given DOI from CrossRef.</p>
<p>Arguments:</p>
<blockquote>
<div><p>doi (str): DOI, for which metadata is needed.</p>
</div></blockquote>
<p>Returns:</p>
<blockquote>
<div><p>http response: response from CrossRef.</p>
</div></blockquote>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="helpers.helper_functions.doi_to_filename">
<span class="sig-prename descclassname"><span class="pre">helpers.helper_functions.</span></span><span class="sig-name descname"><span class="pre">doi_to_filename</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">doi</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">ext</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/helpers/helper_functions.html#doi_to_filename"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#helpers.helper_functions.doi_to_filename" title="Link to this definition">¶</a></dt>
<dd><p>Converst DOI to file name.</p>
<p>Arguments:</p>
<blockquote>
<div><p>doi (str): DOI to be converted.
ext (str): Extension of the file. Defaults to None.</p>
</div></blockquote>
<p>Returns:</p>
<blockquote>
<div><p>str: result file name.</p>
</div></blockquote>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="helpers.helper_functions.filepath_to_doi">
<span class="sig-prename descclassname"><span class="pre">helpers.helper_functions.</span></span><span class="sig-name descname"><span class="pre">filepath_to_doi</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">file_path</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/helpers/helper_functions.html#filepath_to_doi"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#helpers.helper_functions.filepath_to_doi" title="Link to this definition">¶</a></dt>
<dd><p>Converst file_path to DOI.</p>
<p>Arguments:</p>
<blockquote>
<div><p>file_path (str): File path.</p>
</div></blockquote>
<p>Returns:</p>
<blockquote>
<div><p>str: DOI, extracted from the file name.</p>
</div></blockquote>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="helpers.helper_functions.filter_named_entities">
<span class="sig-prename descclassname"><span class="pre">helpers.helper_functions.</span></span><span class="sig-name descname"><span class="pre">filter_named_entities</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">named_entities</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">filter</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/helpers/helper_functions.html#filter_named_entities"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#helpers.helper_functions.filter_named_entities" title="Link to this definition">¶</a></dt>
<dd><p>Filters list of named entity dictionaries based on match of entity group (LOC, PER, ORG) to given filter.</p>
<p>Arguments:</p>
<blockquote>
<div><p>named_entities (list): List of named entities, each beaing a dictionary.
filter: group of named entities, which has to be filtered.</p>
</div></blockquote>
<p>Returns:</p>
<blockquote>
<div><p>list: List of words, entity group of which match the filter.</p>
</div></blockquote>
</dd></dl>

</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="../index.html">NLP004</a></h1>








<h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="../modules.html">python</a><ul class="current">
<li class="toctree-l2 current"><a class="reference internal" href="../helpers.html">helpers</a><ul class="current">
<li class="toctree-l3 current"><a class="current reference internal" href="#">helper_functions</a><ul>
<li class="toctree-l4"><a class="reference internal" href="#helpers.helper_functions.connect_to_db"><code class="docutils literal notranslate"><span class="pre">connect_to_db()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="#helpers.helper_functions.crossref_metada_api_call"><code class="docutils literal notranslate"><span class="pre">crossref_metada_api_call()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="#helpers.helper_functions.doi_to_filename"><code class="docutils literal notranslate"><span class="pre">doi_to_filename()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="#helpers.helper_functions.filepath_to_doi"><code class="docutils literal notranslate"><span class="pre">filepath_to_doi()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="#helpers.helper_functions.filter_named_entities"><code class="docutils literal notranslate"><span class="pre">filter_named_entities()</span></code></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="preprocessing.html">preprocessing</a></li>
<li class="toctree-l3"><a class="reference internal" href="text_encoder.html">text_encoder</a></li>
<li class="toctree-l3"><a class="reference internal" href="get_by_doi.html">get_by_doi</a></li>
<li class="toctree-l3"><a class="reference internal" href="keyphrase_extractor.html">keyphrase_extractor</a></li>
<li class="toctree-l3"><a class="reference internal" href="rules.html">rules</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../scripts.html">scripts</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../pipe.html">pipe</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="../index.html">Documentation overview</a><ul>
  <li><a href="../modules.html">python</a><ul>
  <li><a href="../helpers.html">helpers</a><ul>
      <li>Previous: <a href="../helpers.html" title="previous chapter">helpers</a></li>
      <li>Next: <a href="preprocessing.html" title="next chapter">preprocessing</a></li>
  </ul></li>
  </ul></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2023, Ughur Mammadzada.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 7.2.6</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.13</a>
      
      |
      <a href="../_sources/helpers/helper_functions.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>